Subject: Ticket Assigned - 9628410867 order from lifestyle
From: Lifestyle <[email-masked]>
To: [email-masked]
Date: Tue, 19 Jan 2021 16:13:32 +0000

Hi Hamza Nomani,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  9628410867 order from lifestyle Hello,

My biggest mistake I placed an order on lifestyle. I cancelled same day cannot express my frustration over their customer care. So is with tabby when i am calling tabby they say write email.

I do not understand why is lifestyle not refunding the 221 aed back, I am calling everyday.

Kindly tell me what am I supposed to do now.

Manesha Sachanandaani
0585393696/0565247306

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2001867